<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Name: Cause of death primary
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927">
   <title>Cause of death primary</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]
Item: (CauseOfDeathPrimary)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]
Item: (CauseOfDeathPrimary)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]"
         id="tmp-r-be09f832-c29b-4b7e-bdc0-555bc29a0660">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@classCode)='OBS'">(CauseOfDeathPrimary): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CauseOfDeathPrimary): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@moodCode)='EVN'">(CauseOfDeathPrimary): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CauseOfDeathPrimary): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']/@nullFlavor)">(CauseOfDeathPrimary): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'])&lt;=1">(CauseOfDeathPrimary): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(CauseOfDeathPrimary): element hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(CauseOfDeathPrimary): element hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]])&lt;=1">(CauseOfDeathPrimary): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]]/@nullFlavor)">(CauseOfDeathPrimary): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]])&lt;=1">(CauseOfDeathPrimary): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:templateId
Item: (CauseOfDeathPrimary)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:templateId"
         id="tmp-r-4102214a-20a7-441c-886b-61515cf835f5">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CauseOfDeathPrimary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.18'">(CauseOfDeathPrimary): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.18' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (CauseOfDeathPrimary)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:code[(@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-f50e999f-4af6-49f6-976b-eae2937e65a9">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CauseOfDeathPrimary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="@nullFlavor or (@code='71000146108' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Immediate cause of natural death')">(CauseOfDeathPrimary): de elementwaarde MOET zijn code '71000146108' codeSystem '2.16.840.1.113883.6.96' displayName='Immediate cause of natural death'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]
Item: (CauseOfDeathPrimary)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]"
         id="tmp-r-80ae8a51-3aa5-4364-bc24-a24b05298d6c">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@typeCode)='COMP'">(CauseOfDeathPrimary): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CauseOfDeathPrimary): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]]
Item: (CauseOfDeathPrimary)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.18']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.20']]]"
         id="tmp-r-f12313a8-c999-4aaa-98f4-53b661864e80">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="string(@typeCode)='COMP'">(CauseOfDeathPrimary): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.18-2014-03-03T151927.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CauseOfDeathPrimary): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
