<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.23
Name: Unnatural death event date
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818">
   <title>Unnatural death event date</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]
Item: (UnnaturalDeathEventDate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]
Item: (UnnaturalDeathEventDate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]"
         id="tmp-r-a96a13be-b663-4fbb-989c-a5bbb49a26ea">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="string(@classCode)='OBS'">(UnnaturalDeathEventDate): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(UnnaturalDeathEventDate): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="string(@moodCode)='EVN'">(UnnaturalDeathEventDate): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(UnnaturalDeathEventDate): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']/@nullFlavor)">(UnnaturalDeathEventDate): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23'])&lt;=1">(UnnaturalDeathEventDate): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="count(hl7:code[(@code='439771001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='439771001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(UnnaturalDeathEventDate): element hl7:code[(@code='439771001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="count(hl7:code[(@code='439771001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(UnnaturalDeathEventDate): element hl7:code[(@code='439771001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(UnnaturalDeathEventDate): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="count(hl7:effectiveTime)&lt;=1">(UnnaturalDeathEventDate): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:templateId
Item: (UnnaturalDeathEventDate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:templateId"
         id="tmp-r-168bed09-7e58-48f5-a20a-f5041a11ea0c">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UnnaturalDeathEventDate): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.23'">(UnnaturalDeathEventDate): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.23' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:code[(@code='439771001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (UnnaturalDeathEventDate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:code[(@code='439771001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-14d7f1f1-9aaa-4f17-8cbd-fec1fa61fa0f">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UnnaturalDeathEventDate): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="@nullFlavor or (@code='439771001' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Date of event')">(UnnaturalDeathEventDate): de elementwaarde MOET zijn code '439771001' codeSystem '2.16.840.1.113883.6.96' displayName='Date of event'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:effectiveTime
Item: (UnnaturalDeathEventDate)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.23']]/hl7:effectiveTime"
         id="tmp-r-deab947f-0f4c-4533-a06a-8f64a0fca626">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.23-2014-03-04T142818.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UnnaturalDeathEventDate): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
