<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.34
Name: Fetal complications
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200">
   <title>Fetal complications</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]
Item: (FetalComplications)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]
Item: (FetalComplications)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]"
         id="tmp-r-1e3bce47-8bce-42b0-b934-77512291968d">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="string(@classCode)='OBS'">(FetalComplications): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(FetalComplications): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="string(@moodCode)='EVN'">(FetalComplications): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(FetalComplications): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']/@nullFlavor)">(FetalComplications): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34'])&lt;=1">(FetalComplications): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="count(hl7:code[(@code='116223007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='116223007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(FetalComplications): element hl7:code[(@code='116223007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="count(hl7:code[(@code='116223007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(FetalComplications): element hl7:code[(@code='116223007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="count(hl7:text)&gt;=1 ">(FetalComplications): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="count(hl7:text)&lt;=1">(FetalComplications): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:templateId
Item: (FetalComplications)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:templateId"
         id="tmp-r-5ac80d8c-bd68-42ee-a2b2-ae9ffe8795e5">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FetalComplications): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.34'">(FetalComplications): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.34' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:code[(@code='116223007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (FetalComplications)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:code[(@code='116223007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-cbd6d99e-24d5-4a93-9c04-3a431eb1e898">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FetalComplications): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="@nullFlavor or (@code='116223007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Complication')">(FetalComplications): de elementwaarde MOET zijn code '116223007' codeSystem '2.16.840.1.113883.6.96' displayName='Complication'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:text
Item: (FetalComplications)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.34']]/hl7:text"
         id="tmp-r-273623c5-e945-42a1-b0ca-4acf5e04a576">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.34-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FetalComplications): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
