<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Name: Death data section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322">
   <title>Death data section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]
Item: (DeathDataSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]
Item: (DeathDataSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]"
         id="tmp-r-1e35ddbf-ade3-4157-a22a-d56be82b5179">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']/@nullFlavor)">(DeathDataSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36'])&lt;=1">(DeathDataSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:code)&lt;=1">(DeathDataSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(DeathDataSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:text)&lt;=1">(DeathDataSection): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]]/@nullFlavor)">(DeathDataSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]])&lt;=1">(DeathDataSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]]/@nullFlavor)">(DeathDataSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]])&lt;=1">(DeathDataSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]]/@nullFlavor)">(DeathDataSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]])&lt;=1">(DeathDataSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.38']]])&gt;=1 and not(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.38']]]/@nullFlavor)">(DeathDataSection): element hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.38']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.38']]])&lt;=1">(DeathDataSection): element hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.38']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]])&lt;=1">(DeathDataSection): element hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]])&gt;=1 and not(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]]/@nullFlavor)">(DeathDataSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]])&lt;=1">(DeathDataSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]])&lt;=1">(DeathDataSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:templateId
Item: (DeathDataSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:templateId"
         id="tmp-r-a7f0fb32-b5f4-4b1c-bbce-fe725d53e1ed">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathDataSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.36'">(DeathDataSection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.36' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:code
Item: (DeathDataSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:code"
         id="tmp-r-07266529-a689-498f-8831-c233ccc5a181">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathDataSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:text
Item: (DeathDataSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:text"
         id="tmp-r-9e2f269f-35c4-473d-8692-c5047b0f8ac0">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DeathDataSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]]
Item: (DeathDataSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.6']]]"
         id="tmp-r-2bcfaa18-c2ad-4c2d-94db-ac7c7c5883b1">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]]
Item: (DeathDataSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.8']]]"
         id="tmp-r-0c13270b-bc65-46f1-ab41-6b57c02cceb7">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]]
Item: (DeathDataSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.7']]]"
         id="tmp-r-753c05e3-4f4e-40d9-978b-49b1c26ee847">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.38']]]
Item: (DeathDataSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.38']]]"
         id="tmp-r-6d07a18b-f867-456d-a040-85daf39094b2">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]]
Item: (DeathDataSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.42']]]"
         id="tmp-r-0dbfc3a0-31e2-46cf-a4a1-b6ba8ead5d7e">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]]
Item: (DeathDataSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.10']]]"
         id="tmp-r-17cd7741-22ae-42af-87d6-b3f17c6502b5">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.36
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]
Item: (DeathDataSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.36']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]"
         id="tmp-r-d64b70fd-10fd-430f-b3b0-d77427e3a00b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="string(@typeCode)='DRIV'">(DeathDataSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.36-2014-03-04T163322.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DeathDataSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
