<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Name: Organizer traffic accident details
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200">
   <title>Organizer traffic accident details</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]
Item: (OrganizerTrafficAccidentDetails)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]"
         id="tmp-r-c0a56272-28f6-498c-8662-790588ff2800">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@classCode)='CLUSTER'">(OrganizerTrafficAccidentDetails): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(OrganizerTrafficAccidentDetails): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@moodCode)='EVN'">(OrganizerTrafficAccidentDetails): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(OrganizerTrafficAccidentDetails): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]]/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]]/@nullFlavor)">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]])&lt;=1">(OrganizerTrafficAccidentDetails): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:templateId
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:templateId"
         id="tmp-r-e7062b83-90eb-49bf-94fc-ea778e7ae704">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerTrafficAccidentDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.26'">(OrganizerTrafficAccidentDetails): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.26' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:code[(@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-bde8a1fd-bcef-4282-94d9-52a53d183228">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerTrafficAccidentDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="@nullFlavor or (@code='46696-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Additional comments [RFC]')">(OrganizerTrafficAccidentDetails): de elementwaarde MOET zijn code '46696-1' codeSystem '2.16.840.1.113883.6.1' displayName='Additional comments [RFC]'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:statusCode[@code='completed']
Item: (OrganizerTrafficAccidentDetails)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:statusCode[@code='completed']"
         id="tmp-r-da50f861-960f-43ae-af95-2e3fd9111532">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizerTrafficAccidentDetails): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="@nullFlavor or (@code='completed')">(OrganizerTrafficAccidentDetails): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.27']]]"
         id="tmp-r-8d9374fe-c7fb-4fb7-af34-350224268983">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerTrafficAccidentDetails): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.19']]]"
         id="tmp-r-5d09eef2-54d9-4e78-8cc0-25b617a2c3f2">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerTrafficAccidentDetails): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.28']]]"
         id="tmp-r-6301910e-b016-407f-b217-08c3fe2b72d7">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerTrafficAccidentDetails): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.26
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]]
Item: (OrganizerTrafficAccidentDetails)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.26']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.29']]]"
         id="tmp-r-205ad946-a7a6-435b-b3b8-d7f919f2b28f">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(OrganizerTrafficAccidentDetails): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.26-2014-03-04T143200.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(OrganizerTrafficAccidentDetails): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
