<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.43
Name: Birth length of gestation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401">
   <title>Birth length of gestation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]
Item: (BirthLengthOfGestation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]
Item: (BirthLengthOfGestation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]"
         id="tmp-r-18e45574-a373-4eb7-bf90-80a19c8af64b">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="string(@classCode)='OBS'">(BirthLengthOfGestation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(BirthLengthOfGestation): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="string(@moodCode)='EVN'">(BirthLengthOfGestation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(BirthLengthOfGestation): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']/@nullFlavor)">(BirthLengthOfGestation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43'])&lt;=1">(BirthLengthOfGestation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="count(hl7:code[(@code='412726003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='412726003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(BirthLengthOfGestation): element hl7:code[(@code='412726003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="count(hl7:code[(@code='412726003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(BirthLengthOfGestation): element hl7:code[(@code='412726003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="count(hl7:value)&gt;=1 ">(BirthLengthOfGestation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="count(hl7:value)&lt;=1">(BirthLengthOfGestation): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="count(hl7:subject)&lt;=1">(BirthLengthOfGestation): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:templateId
Item: (BirthLengthOfGestation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:templateId"
         id="tmp-r-9394aec4-033b-4b3d-a7c8-38ec31554171">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BirthLengthOfGestation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.43'">(BirthLengthOfGestation): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.43' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:code[(@code='412726003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (BirthLengthOfGestation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:code[(@code='412726003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e10bb8b2-1176-48eb-8683-fe10cd9b15ca">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BirthLengthOfGestation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="@nullFlavor or (@code='412726003' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Length of gestation at birth')">(BirthLengthOfGestation): de elementwaarde MOET zijn code '412726003' codeSystem '2.16.840.1.113883.6.96' displayName='Length of gestation at birth'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:value
Item: (BirthLengthOfGestation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:value"
         id="tmp-r-9d787b1a-9236-429f-b39c-5513ebb12bcc">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BirthLengthOfGestation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="(@nullFlavor or (@unit='wk' and number($theValue)&gt;=0 and number($theValue)&lt;=43))">(BirthLengthOfGestation): value MOET eenheid 'wk' gebruiken en in bereik [0..43] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="$digitok or @nullFlavor">(BirthLengthOfGestation): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.43-2014-03-04T203401.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BirthLengthOfGestation): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:subject
Item: (BirthLengthOfGestation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]
Item: (BodySubjectMother)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:subject
Item: (BodySubjectMother)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:subject/hl7:relatedSubject
Item: (BodySubjectMother)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:subject/hl7:relatedSubject"
         id="tmp-r-b91defcb-a3ff-44e2-830d-c8238a7401e2">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="string(@classCode)='PRS'">(BodySubjectMother): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(BodySubjectMother): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="count(hl7:code)&lt;=1">(BodySubjectMother): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.46
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:subject/hl7:relatedSubject/hl7:code
Item: (BodySubjectMother)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.43']]/hl7:subject/hl7:relatedSubject/hl7:code"
         id="tmp-r-6275424d-2e7b-4367-926a-02683cdadfed">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySubjectMother): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.46-2014-03-04T205827.html"
              test="@nullFlavor or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111' and @displayName='Mother')">(BodySubjectMother): de elementwaarde MOET zijn code 'MTH' codeSystem '2.16.840.1.113883.5.111' displayName='Mother'.</assert>
   </rule>
</pattern>
