<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.104.10.11
Name: SectionObservations
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243">
   <title>SectionObservations</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]
Item: (SectionObservations)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]
Item: (SectionObservations)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]"
         id="tmp-r-14ba0d0f-99c0-4790-89cb-08d28341d9fc">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="string(@classCode)='ACT'">(SectionObservations): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(SectionObservations): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="string(@moodCode)='EVN'">(SectionObservations): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(SectionObservations): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']/@nullFlavor)">(SectionObservations): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11'])&lt;=1">(SectionObservations): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="count(hl7:code[(@code='168461002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='168461002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(SectionObservations): element hl7:code[(@code='168461002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="count(hl7:code[(@code='168461002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(SectionObservations): element hl7:code[(@code='168461002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(SectionObservations): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="count(hl7:text)&lt;=1">(SectionObservations): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:templateId
Item: (SectionObservations)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:templateId"
         id="tmp-r-7f49368d-134a-467c-a900-c116f9a69811">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SectionObservations): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.104.10.11'">(SectionObservations): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.104.10.11' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:code[(@code='168461002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (SectionObservations)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:code[(@code='168461002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-bd7c83d0-b91f-4b79-939e-cee164dc0027">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SectionObservations): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="@nullFlavor or (@code='168461002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Postmortem examination')">(SectionObservations): de elementwaarde MOET zijn code '168461002' codeSystem '2.16.840.1.113883.6.96' displayName='Postmortem examination'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.104.10.11
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:text
Item: (SectionObservations)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.104.10.11']]/hl7:text"
         id="tmp-r-f8568aa7-3c22-4b78-80c9-8f5963bab6d1">
      <assert role="error"
              see="http://decor.nictiz.nl/cbs-dstat/cbs-dstat-html-20140306T153600/tmp-2.16.840.1.113883.2.4.3.11.60.104.10.11-2014-03-03T174243.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SectionObservations): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
